> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# NFTs List with Market Data

> To query all the supported NFT collections with floor price, market cap, volume and market related data on CoinGecko

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

export const PlanExclusivity = ({tier}) => {
  if (tier === "enterprise") {
    return <Callout icon="crown" color="#FFC107" iconType="regular">
        <strong>Enterprise Only</strong><br />This endpoint is exclusively available to <strong>Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/enterprise">→ Contact sales</a>
      </Callout>;
  }
  if (tier === "analyst_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Analyst Plan and Above</strong><br />This endpoint is only available to <strong>Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  if (tier === "basic_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Basic Plan and Above</strong><br />This endpoint is only available to <strong>Basic, Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  throw new Error(`PlanExclusivity: invalid tier "${tier}". Use "basic_above", "analyst_above", or "enterprise".`);
};

<Note>
  * Collections with low liquidity may not be ranked by Market Cap, [learn more](https://support.coingecko.com/hc/en-us/articles/37226121227545-What-is-NFT-Market-Cap).
    * Sorting by MCap ranking prioritizes liquid collections by Market Cap, then illiquid collections by volume.
  * Equivalent page on [CoinGecko NFTs](https://www.coingecko.com/en/nft).
</Note>

<PlanExclusivity tier="analyst_above" />

<CacheInfo rate="5 minutes" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.nfts.getMarkets();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.nfts.get_markets()

  print(response)
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/pro-api.json get /nfts/markets
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /nfts/markets:
    get:
      summary: NFTs List with Market Data
      description: >-
        To query all the supported NFT collections with floor price, market cap,
        volume and market related data on CoinGecko
      operationId: nfts-markets
      parameters:
        - name: asset_platform_id
          in: query
          required: false
          description: >-
            Filter result by asset platform (blockchain network). 

            *refers to [`/asset_platforms`](/reference/asset-platforms-list)
            filter=`nft`.
          schema:
            type: string
        - name: order
          in: query
          required: false
          description: |-
            Sort results by field. 
            Default: `market_cap_usd_desc`
          schema:
            type: string
            enum:
              - h24_volume_native_asc
              - h24_volume_native_desc
              - h24_volume_usd_asc
              - h24_volume_usd_desc
              - market_cap_usd_asc
              - market_cap_usd_desc
        - name: per_page
          in: query
          required: false
          description: |-
            Total results per page. 
            Default value: 100 
            Valid values: 1...250
          schema:
            type: integer
        - name: page
          in: query
          required: false
          description: |-
            Page through results. 
            Default value: 1
          schema:
            type: integer
      responses:
        '200':
          description: List of NFT collections with market data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTsMarkets'
              example:
                - id: cryptopunks
                  contract_address: '0xb47e3cd837dDF8e4c57F05d70Ab865de6e193BBB'
                  asset_platform_id: ethereum
                  name: CryptoPunks
                  symbol: PUNK
                  image:
                    small: >-
                      https://coin-images.coingecko.com/nft_contracts/images/270/small/cryptopunks.png?1707287245
                    small_2x: >-
                      https://coin-images.coingecko.com/nft_contracts/images/270/small_2x/cryptopunks.png?1707287245
                  description: "<h3 dir=\"ltr\">What Is the CryptoPunks NFT Collection?</h3>\r\n\r\n<p dir=\"ltr\">CryptoPunks is an Ethereum-based NFT collection of 10,000 unique art characters."
                  native_currency: ethereum
                  native_currency_symbol: ETH
                  floor_price:
                    native_currency: 32.99
                    usd: 68598
                  market_cap:
                    native_currency: 329702
                    usd: 685567614
                  volume_24h:
                    native_currency: 0
                    usd: 0
                  floor_price_in_usd_24h_percentage_change: -2.61445
                  floor_price_24h_percentage_change:
                    usd: -2.614447557256636
                    native_currency: -0.7222389407162203
                  market_cap_24h_percentage_change:
                    usd: -2.6144475572566117
                    native_currency: -0.7222389407162202
                  volume_24h_percentage_change:
                    usd: -100
                    native_currency: -100
                  number_of_unique_addresses: 100
                  number_of_unique_addresses_24h_percentage_change: 0
                  volume_in_usd_24h_percentage_change: -100
                  total_supply: 9994
                  one_day_sales: null
                  one_day_sales_24h_percentage_change: 0
                  one_day_average_sale_price: null
                  one_day_average_sale_price_24h_percentage_change: 0
                - id: bored-ape-yacht-club
                  contract_address: '0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d'
                  asset_platform_id: ethereum
                  name: Bored Ape Yacht Club
                  symbol: BAYC
                  image:
                    small: >-
                      https://coin-images.coingecko.com/nft_contracts/images/20/small/bored-ape-yacht-club.png?1707287177
                    small_2x: >-
                      https://coin-images.coingecko.com/nft_contracts/images/20/small_2x/bored-ape-yacht-club.png?1707287177
                  description: "<h3>What Is the Bored Ape Yacht Club NFT Collection?</h3>\r\n\r\n<p>The Bored Ape Yacht Club is a collection of 10,000 unique Bored Ape NFTs, which showcase a series of apes with different characteristics and expressions."
                  native_currency: ethereum
                  native_currency_symbol: ETH
                  floor_price:
                    native_currency: 8.69
                    usd: 18036.28
                  market_cap:
                    native_currency: 86883
                    usd: 180326699
                  volume_24h:
                    native_currency: 166.12
                    usd: 344783
                  floor_price_in_usd_24h_percentage_change: -4.33779
                  floor_price_24h_percentage_change:
                    usd: -4.33779438865101
                    native_currency: -1.7857142857131758
                  market_cap_24h_percentage_change:
                    usd: -4.337794388651022
                    native_currency: -1.7857142857131754
                  volume_24h_percentage_change:
                    usd: 10.090203438665934
                    native_currency: 27.149001523165122
                  number_of_unique_addresses: 5653
                  number_of_unique_addresses_24h_percentage_change: -0.05304
                  volume_in_usd_24h_percentage_change: 10.0902
                  total_supply: 9998
                  one_day_sales: 18
                  one_day_sales_24h_percentage_change: 50
                  one_day_average_sale_price: 9.228827722222222
                  one_day_average_sale_price_24h_percentage_change: -15.23399898455658
components:
  schemas:
    NFTsMarkets:
      type: array
      items:
        type: object
        required:
          - id
          - contract_address
          - asset_platform_id
          - name
          - symbol
          - image
          - description
          - native_currency
          - native_currency_symbol
          - floor_price
          - market_cap
          - volume_24h
          - floor_price_in_usd_24h_percentage_change
          - floor_price_24h_percentage_change
          - market_cap_24h_percentage_change
          - volume_24h_percentage_change
          - number_of_unique_addresses
          - number_of_unique_addresses_24h_percentage_change
          - volume_in_usd_24h_percentage_change
          - total_supply
          - one_day_sales
          - one_day_sales_24h_percentage_change
          - one_day_average_sale_price
          - one_day_average_sale_price_24h_percentage_change
        properties:
          id:
            type: string
            description: NFT collection ID
          contract_address:
            type: string
            nullable: true
            description: NFT collection contract address
          asset_platform_id:
            type: string
            description: NFT collection asset platform ID
          name:
            type: string
            description: NFT collection name
          symbol:
            type: string
            description: NFT collection symbol
          image:
            type: object
            description: NFT collection image URLs
            properties:
              small:
                type: string
              small_2x:
                type: string
          description:
            type: string
            nullable: true
            description: NFT collection description
          native_currency:
            type: string
            description: NFT collection native currency
          native_currency_symbol:
            type: string
            description: NFT collection native currency symbol
          floor_price:
            type: object
            description: NFT collection floor price
            properties:
              native_currency:
                type: number
              usd:
                type: number
          market_cap:
            type: object
            description: NFT collection market cap
            properties:
              native_currency:
                type: number
              usd:
                type: number
          volume_24h:
            type: object
            description: NFT collection volume in 24 hours
            properties:
              native_currency:
                type: number
              usd:
                type: number
          floor_price_in_usd_24h_percentage_change:
            type: number
            description: NFT collection floor price in USD 24 hours percentage change
          floor_price_24h_percentage_change:
            type: object
            description: NFT collection floor price 24 hours percentage change
            properties:
              usd:
                type: number
              native_currency:
                type: number
          market_cap_24h_percentage_change:
            type: object
            description: NFT collection market cap 24 hours percentage change
            properties:
              usd:
                type: number
              native_currency:
                type: number
          volume_24h_percentage_change:
            type: object
            description: NFT collection volume in 24 hours percentage change
            properties:
              usd:
                type: number
              native_currency:
                type: number
          number_of_unique_addresses:
            type: number
            nullable: true
            description: Number of unique addresses owning the NFTs
          number_of_unique_addresses_24h_percentage_change:
            type: number
            description: Number of unique addresses 24 hours percentage change
          volume_in_usd_24h_percentage_change:
            type: number
            description: NFT collection volume in USD 24 hours percentage change
          total_supply:
            type: number
            nullable: true
            description: NFT collection total supply
          one_day_sales:
            type: number
            nullable: true
            description: NFT collection one day sales
          one_day_sales_24h_percentage_change:
            type: number
            description: NFT collection one day sales 24 hours percentage change
          one_day_average_sale_price:
            type: number
            nullable: true
            description: NFT collection one day average sale price
          one_day_average_sale_price_24h_percentage_change:
            type: number
            description: >-
              NFT collection one day average sale price 24 hours percentage
              change
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_pro_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````